NScripterに脆弱性

2015年9月5日 17:24

小

中

大

印刷

記事提供元:スラド

insiderman 曰く、 商用ゲームから同人ゲームまで、さまざまなノベルゲームで使われているゲームエンジンNScripterに脆弱性が発見された(JVN#08494613Engadget Japaneseの記事)。

発見されたのはセーブデータの読み込み処理に起因するバッファオーバーフローの脆弱性。細工されたセーブデータを読み込むことで、任意のコードを実行される可能性があるという。9月3日にこの問題を修正したバージョンがリリースされている

 スラドのコメントを読む | セキュリティセクション | セキュリティ | バグ | ゲーム

 関連ストーリー:
公開されたUnreal Engineのソースコード、サードパーティの解析ツールで多くの問題が発見される 2015年06月20日
Chrome上で動く鬼畜王ランス 2015年06月12日
Unity 5、WebGL向けエクスポート機能を実装 2015年03月07日
ゲームエンジン「Unreal Engine」、無償化へ 2015年03月04日
マルチプラットフォーム対応ゲームエンジン「C4 Engine」、Linuxサポートを廃止へ 2015年01月16日
ブラウザで“貼りつけて遊ぶ”ノベルゲームの配信サイト 2013年01月23日
「Morrowind」互換のWin/Mac/Linux対応OSSゲームエンジン「OpenMW」 2012年07月07日
フィックスターズ、PS3を利用した音響測定ソフト発売 2007年08月23日

※この記事はスラドから提供を受けて配信しています。

「セキュリティ・プライバシー」の写真ニュース

IT・サイエンスの最新ニュース

RSS

もっと見る

主要ニュース

RSS

もっと見る

広告

広告

SNSツール

RSS

facebook

zaikeishimbun

いいね!

twitter

@zaikei_it

フォロー

google+

Hatena

広告

ピックアップ 注目ニュース